GET /v1/config

Returns the platform configuration object used to initialise the TradingView Charting Library DataFeed.


Request

GET /v1/config

Parameters: None
Auth: Not required


Response

{
  "supported_resolutions": [
    "1", "5", "10", "15", "30",
    "60", "120", "240",
    "1D", "1W", "1M"
  ],
  "supports_group_request": false,
  "supports_marks": false,
  "supports_search": true,
  "supports_timescale_marks": false,
  "exchanges": [
    {
      "value": "WMMARKETS",
      "name": "WM Markets Ltd",
      "desc": "WM Markets Forex Broker"
    }
  ],
  "symbols_types": [
    { "name": "Forex",      "value": "forex"  },
    { "name": "Stock",      "value": "stock"  },
    { "name": "Crypto",     "value": "crypto" },
    { "name": "Index",      "value": "index"  },
    { "name": "CFD Stock",  "value": "cfd"    }
  ]
}

Response Fields

FieldTypeDescription
supported_resolutionsstringAll valid values for the resolution parameter
supports_searchbooleanSymbol search is available via /v1/symbols
exchangesobjectBroker list; value is the key used in symbol compound keys
symbols_typesobjectInstrument type filter options

Examples

# No API key needed
curl "https://api.pipdata.net/v1/config"

TradingView Integration

Pass this response directly to TradingView's onReady callback:

const datafeed = {
  onReady(callback) {
    fetch("https://api.pipdata.net/v1/config", {
      headers: { "X-API-Key": API_KEY }
    })
      .then(r => r.json())
      .then(config => setTimeout(() => callback(config), 0));
  }
};